%define name	plasma-applet-icontasks
%define srcname	144808-plasma-icontasks
%define version	 0.9.2
%define release	%mkrel 1
%define summary  A Modified version of KDE 4.7 taskbar applet and taskmanager library.  

Summary:	%summary
Name:		%name
Version:	%version
Release:	%release
Source0:	%srcname-%version.tar.xz
License:	GPL
Group:		Graphical desktop/KDE4
URL:		http://kde-apps.org/content/show.php/Icon+Tasks?content=144808
BuildRequires:	kdebase4-workspace-devel
BuildRequires:	kdepimlibs4-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Icon Tasks is modified KDE 4.7 taskbar applet that comes with
some of the best Unity / DockBarX features. It supports Unity
quicklists, counters and progress bars, window previews with
media player controls, comes with DockManager API
(you can use the Docky helpers in Icon Tasks) and lots more.

%prep
%setup -q -n plasma-icontasks-%version

%build
%cmake_kde4
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build



%clean
%__rm -rf %buildroot

%files
%defattr(-,root,root)
%{_libdir}/kde4/plasma_applet_icontasks.so
%exclude %{_libdir}/libicontaskmanager.so
%{_libdir}/libicontaskmanager.so.4
%{_libdir}/libicontaskmanager.so.4.6.0
%{_datadir}/apps/desktoptheme/default/icontasks/*.svgz
%{_datadir}/apps/plasma-icontasks/mediabuttonsrc
%{_datadir}/config/taskmanagerrulesrc
%{_datadir}/kde4/services/plasma-applet-icontasks.desktop
%{_datadir}/locale


%changelog
* Tue Nov 29 2011 Texstar <texstar at gmail.com> 0.9.2-1pclos2011
- Initial package
